Pelayan SNMP CentOS 6

Andaian:

IP = 10.0.0.10
Email support = [email protected]

Pasang snmpd net-snmp

yum install -y net-snmp-utils
chkconfig snmpd on

/etc/snmp/snmpd.conf

rocommunity public
syslocation Rack Server IT
syscontact Domain Support <[email protected]>
dontLogTCPWrappersConnects yes
rocommunity public default

/etc/sysconfig/snmpd.options (untuk membenarkan akses dari pelayan lain)

# snmpd command line options
OPTIONS="-Lsd -Lf /dev/null -p /var/run/snmpd.pid -a -x 127.0.0.1 10.0.0.10"

Mulakan semula snmpd

service snmpd restart

Uji dengan

snmpwalk -v2c -cpublic 127.0.0.1

Digg This
Reddit This
Stumble Now!
Buzz This
Vote on DZone
Share on Facebook
Bookmark this on Delicious
Kick It on DotNetKicks.com
Shout it
Share on LinkedIn
Bookmark this on Technorati
Post on Twitter
Google Buzz (aka. Google Reader)

Skrin hitam selepas gagal unlock K910

Skrip unlock yang digunakan dimuaturun dari http://www.teamsuperluminal.org/download/ts_k910_unlock-zip/

Mesej ralat:

The system cannot find the batch label specified – adb_wait_for_device
type = ROM_AND_GAPPS
Uploading ROM.. Please wait.. about 2-5 min
3984 KB/s (288650404 bytes in 70.739s)
Uploading GAPPS.. Please wait.. about 1-3 min
failed to copy ‘ROM/gapps.zip’ to ‘/tmp/gapps.zip’: No space left on device
Failed with error #1.
Carefully look point where error happened in script and continue script executing manually line by line!
In worst case, search for team superluminal unbricking guide.
http://www.teamsuperluminal.org
Good luck 😉
Press any key to continue . . .

  1. Tekan butang power serentak dengan butang kurangkan dan tambahkan bunyi sehingga logo Lenovo keluar
  2. Setelah masuk ke TWRP, guna adb dari fastboot_adb(1.0.36)_110716_r24.0
  3. Salin rom cm-12.1-20160821-UNOFFICIAL-kiton.zip ke dalam folder fastboot_adb(1.0.36)_110716_r24.0 dan namakan sebagai rom.zip
  4. C:\Users\umarz\Downloads\fastboot_adb(1.0.36)_110716_r24.0>adb.exe sideload rom.zip
    Total xfer: 1.00x

  5. Reboot dan salin gapps dari https://github.com/cgapps/vendor_google/blob/builds/README.md ke dalam VIBEZ
  6. Reboot semula ke TWRP dan pilih Install untuk memasang gapps
  7. Reboot setelah selesai memasang gapps
Digg This
Reddit This
Stumble Now!
Buzz This
Vote on DZone
Share on Facebook
Bookmark this on Delicious
Kick It on DotNetKicks.com
Shout it
Share on LinkedIn
Bookmark this on Technorati
Post on Twitter
Google Buzz (aka. Google Reader)

Padam semua spam dari pengguna spesifik Zimbra

Simpan sebagai postfix-delete.pl

Cara guna
perl postfix-delete.pl [email protected]

Kod:

#!/usr/bin/perl

$REGEXP = shift || die "no email-adress given (regexp-style, e.g. bl.*\@yahoo.com)!";

@data = qx</opt/zimbra/postfix/sbin/postqueue -p>;
for (@data) {
  if (/^(\w+)(\*|\!)?\s/) {
     $queue_id = $1;
  }
  if($queue_id) {
    if (/$REGEXP/i) {
      $Q{$queue_id} = 1;
      $queue_id = "";
    }
  }
}

#open(POSTSUPER,"|cat") || die "couldn't open postsuper" ;
open(POSTSUPER,"|/opt/zimbra/postfix/sbin/postsuper -d -") || die "couldn't open postsuper" ;

foreach (keys %Q) {
  print POSTSUPER "$_\n";
};
close(POSTSUPER);

Sumber:

http://www.cyberciti.biz/tips/howto-postfix-flush-mail-queue.html

Digg This
Reddit This
Stumble Now!
Buzz This
Vote on DZone
Share on Facebook
Bookmark this on Delicious
Kick It on DotNetKicks.com
Shout it
Share on LinkedIn
Bookmark this on Technorati
Post on Twitter
Google Buzz (aka. Google Reader)

Contoh setting munin dengan nginx + spawn-fcgi

Hasilnya, munin boleh diakses pada www.domain.com (contoh)

/etc/init.d/munin-fcgi

PATH=/usr/local/bin/:/usr/local/sbin:$PATH
DAEMON=$(which spawn-fcgi)
FCGI_GRAPH_SOCK=/var/run/munin/fastcgi-munin-graph.sock
FCGI_HTML_SOCK=/var/run/munin/fastcgi-munin-html.sock
WWW_USER=www-data
FCGI_USER=www-data
FCGI_GROUP=www-data
FCGI_SPAWN_GRAPH=/usr/lib/munin/cgi/munin-cgi-graph
FCGI_SPAWN_HTML=/usr/lib/munin/cgi/munin-cgi-html
PIDFILE_GRAPH=/var/run/munin/fastcgi-munin-graph.pid
PIDFILE_HTML=/var/run/munin/fastcgi-munin-html.pid
DESC="Munin FCGI for Graph and HTML"
test -x $DAEMON || exit 0
test -x $FCGI_SPAWN_GRAPH || exit 0
test -x $FCGI_SPAWN_HTML || exit 0
start() {
  $DAEMON -s $FCGI_GRAPH_SOCK -U $WWW_USER -u $FCGI_USER -g $FCGI_GROUP -P $PIDFILE_GRAPH $FCGI_SPAWN_GRAPH 2> /dev/null || echo "Graph Already running"
  $DAEMON -s $FCGI_HTML_SOCK  -U $WWW_USER -u $FCGI_USER -g $FCGI_GROUP -P $PIDFILE_HTML $FCGI_SPAWN_HTML 2> /dev/null || echo "HTML Already running"
}
stop() {
  kill -QUIT `cat $PIDFILE_GRAPH` || echo "Graph not running"
  kill -QUIT `cat $PIDFILE_HTML` || echo "HTML Not running"
}
restart() {
  kill -HUP `cat $PIDFILE_GRAPH` || echo "Can't reload Graph"
  kill -HUP `cat $PIDFILE_HTML` || echo "Can't reload HTML"
}
case "$1" in
  start)
    echo "Starting $DESC: "
    start
  ;;
  stop)
    echo "Stopping $DESC: "
    stop
  ;;
  restart|reload)
    echo "Restarting $DESC: "
    stop
    sleep 1
    start
  ;;
  *)
    echo "Usage: $SCRIPTNAME {start|stop|restart|reload}" >&amp;2
    exit 3
  ;;
esac
exit $?

/etc/munin/munin.conf

dbdir   /var/lib/munin
htmldir /var/cache/munin/www
logdir /var/log/munin
rundir  /var/run/munin
tmpldir /etc/munin/templates
staticdir /etc/munin/static
includedir /etc/munin/munin-conf.d
[www.domain.com]
    address 127.0.0.1
    use_node_name yes

/etc/nginx/sites-enabled/munin

server {
        listen 80;
        root /var/cache/munin/www;
        index index.html index.htm;
        server_name www.domin.com;
        auth_basic "Administrator Login";
        auth_basic_user_file /var/www/.htpasswd;
location /nginx_status {
        stub_status on;
        access_log   off;
        allow 127.0.0.1;
        deny all;
        }
location ^~ /munin-cgi/munin-cgi-graph/ {
    fastcgi_split_path_info ^(/munin-cgi/munin-cgi-graph)(.*);
    fastcgi_param PATH_INFO $fastcgi_path_info;
    fastcgi_pass unix:/var/run/munin/fastcgi-munin-graph.sock;
    include fastcgi_params;
}
location  ^~ /munin-cgi/munin-cgi-html/ {
    fastcgi_split_path_info ^(/munin-cgi/munin-cgi-html)(.*);
    fastcgi_param PATH_INFO $fastcgi_path_info;
    fastcgi_pass unix:/var/run/munin/fastcgi-munin-html.sock;
    include fastcgi_params;
}
}

Rujukan:

Nginx configuration for Munin


http://serverfault.com/questions/670535/munin-nginx-no-dynazoom-into-graphs
https://www.howtoforge.com/tutorial/server-monitoring-with-munin-and-monit-on-ubuntu-14-04/

Digg This
Reddit This
Stumble Now!
Buzz This
Vote on DZone
Share on Facebook
Bookmark this on Delicious
Kick It on DotNetKicks.com
Shout it
Share on LinkedIn
Bookmark this on Technorati
Post on Twitter
Google Buzz (aka. Google Reader)